Loading...
Searching...
No Matches
ranges::views::linear_distribute_fn Struct Reference
Views

Distributes `n` values linearly in the closed interval [`from`, `to`]. More...

`#include <range/v3/view/linear_distribute.hpp>`

## Public Member Functions

template<typename T > requires std::is_arithmetic<T>
::value constexpr auto | operator() (T from, T to, std::ptrdiff_t n) const

## Related Symbols

(Note that these are not member symbols.)
constexpr linear_distribute_fn | linear_distribute {}

## Detailed Description

Distributes `n` values linearly in the closed interval [`from`, `to`].

Precondition
  `from <= to && n > 0`

If `from == to`, returns n-times `to`. If `n == 1` returns `to`.